<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

    <script>
        let users = [];
        
        do {
        let firstName = prompt('Введите имя');
        let secondName = prompt('фамилия');

        user.push {
            createNewUser(firstName, secondName)
            }
        } while (first_name && second_name);
        

    </script>

</body>
</html>